## org.eclipse.datatools.modelbase.sql.query.impl
Class ValueExpressionLabeledDurationImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QueryValueExpressionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.ValueExpressionAtomicImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.ValueExpressionLabeledDurationImpl

All Implemented Interfaces:
  ValueExpression, QueryValueExpression, SQLQueryObject, ValueExpressionAtomic, ValueExpressionLabeledDuration, SQLObject

    public class ValueExpressionLabeledDurationImpl

extends ValueExpressionAtomicImpl
implements ValueExpressionLabeledDuration

An implementation of the model object 'SQL Value Expression Labeled Duration'.

The following features are implemented:

- `Labeled Duration Type`
- `Value Expr`

Method Summary
`NotificationChain` `basicSetValueExpr(QueryValueExpression newValueExpr, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`ValueExpressionLabeledDurationType` `getLabeledDurationType()`
`QueryValueExpression` `getValueExpr()`
`void` `setLabeledDurationType(ValueExpressionLabeledDurationType newLabeledDurationType)`
`void` `setValueExpr(QueryValueExpression newValueExpr)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QueryValueExpressionImpl

`basicSetBasicLeft, basicSetBasicRight, basicSetBetweenLeft, basicSetBetweenRight1, basicSetBetweenRight2, basicSetDataType, basicSetGroupingExpr, basicSetInValueListLeft, basicSetInValueListRight, basicSetInValueRowSelectLeft, basicSetInValueSelectLeft, basicSetLikeEscape, basicSetLikeMatching, basicSetLikePattern, basicSetNest, basicSetOrderByValueExpr, basicSetPredicateNull, basicSetQuantifiedRowSelectLeft, basicSetQuantifiedValueSelectLeft, basicSetResultColumn, basicSetUpdateSourceExprList, basicSetValueExprCaseElse, basicSetValueExprCaseSearchContent, basicSetValueExprCaseSimple, basicSetValueExprCaseSimpleContentResult, basicSetValueExprCaseSimpleContentWhen, basicSetValueExprCast, basicSetValueExprCombinedLeft, basicSetValueExprCombinedRight, basicSetValueExprFunction, basicSetValueExprLabeledDuration, basicSetValuesRow, eBasicRemoveFromContainerFeature, getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getSQL, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getLabeledDurationType

    public ValueExpressionLabeledDurationType getLabeledDurationType()

  Specified by:
    `getLabeledDurationType` in interface `ValueExpressionLabeledDuration`
  Returns:
    the value of the 'Labeled Duration Type' attribute.
  See Also:
    `ValueExpressionLabeledDurationType`, `ValueExpressionLabeledDuration.setLabeledDurationType(ValueExpressionLabeledDurationType)`, `SQLQueryModelPackage.getValueExpressionLabeledDuration_LabeledDurationType()`

### setLabeledDurationType

    public void setLabeledDurationType(ValueExpressionLabeledDurationType newLabeledDurationType)

  Specified by:
    `setLabeledDurationType` in interface `ValueExpressionLabeledDuration`
  Parameters:
    `newLabeledDurationType` - the new value of the 'Labeled Duration Type' attribute.
  See Also:
    `ValueExpressionLabeledDurationType`, `ValueExpressionLabeledDuration.getLabeledDurationType()`

### getValueExpr

    public QueryValueExpression getValueExpr()

  Specified by:
    `getValueExpr` in interface `ValueExpressionLabeledDuration`
  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `ValueExpressionLabeledDuration.setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getValueExpressionLabeledDuration_ValueExpr()`, `QueryValueExpression.getValueExprLabeledDuration()`

### basicSetValueExpr

    public NotificationChain basicSetValueExpr(QueryValueExpression newValueExpr,
                                               NotificationChain msgs)

### setValueExpr

    public void setValueExpr(QueryValueExpression newValueExpr)

  Specified by:
    `setValueExpr` in interface `ValueExpressionLabeledDuration`
  Parameters:
    `newValueExpr` - the new value of the 'Value Expr' containment reference.
  See Also:
    `ValueExpressionLabeledDuration.getValueExpr()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `QueryValueExpressionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `QueryValueExpressionImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `QueryValueExpressionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `QueryValueExpressionImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `QueryValueExpressionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `QueryValueExpressionImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `QueryValueExpressionImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.